CsvUtil::CsvFileWriter Class Reference

The CsvFileWriter class for safe CSV file creation. More...

Inheritance diagram for CsvUtil::CsvFileWriter:
[legend]

## Public Member Functions

| constructor (string path, *hash opts)
| creates the CsvFileWriter in single-type mode with the path of the file to create and an optional option hash More...
| constructor (string path, hash spec, hash opts)
| creates the CsvFileWriter in multi-type mode with the path of the file to create and an optional option hash More...
Public Member Functions inherited from CsvUtil::AbstractCsvWriter
| constructor (string n_errname, *hash n_opts)
| Creates the AbstractCsvWriter in single-type mode. More...
| constructor (string n_errname, hash spec, hash n_opts)
| Creates the AbstractCsvWriter in single-type mode. More...
| write (Qore::AbstractIterator iterator)
| Stream an iterator into the output. More...
| write (Qore::SQL::SQLStatement iterator)
| Stream an iterator into the output. More...
| write (list l)
| Stream the contents of the list into the output. More...
| writeLine (list values)
| Write a line with a list of values; data are checked against column rules. More...
| writeLine (hash values)
| Write a line with headers-values hash. More...
| writeLine (string type, list values)
| Write a line with headers-values list. More...
| writeLine (string type, hash values)
| Write a line for a specific record from a hash to the output. More...

## Private Member Functions

| writeRawLine (list values)
| This method must be overridden in child classes to provide the output implementation.

## Private Attributes

Qore::File | file
| the file to write

## Detailed Description

The CsvFileWriter class for safe CSV file creation.

See also
  - CsvWriter for a stream-based class providing the same functionality as this class in a more generic way

## Member Function Documentation

## constructor() [1/2]

CsvUtil::CsvFileWriter::constructor | ( | string | path,
|  | *hash | opts
| ) |  |

creates the CsvFileWriter in single-type mode with the path of the file to create and an optional option hash

Parameters

  path | a file name (with path optionally) to write
  opts | AbstractCsvWriter Constructor Option Hash Overview

The file is created with O_CREAT, O_TRUNC, O_WRONLY and `0644` access.

Exceptions

  CSVFILEITER-ERROR | in the case of incorrect options

## constructor() [2/2]

CsvUtil::CsvFileWriter::constructor | ( | string | path,
|  | hash | spec,
|  | hash | opts
| ) |  |

creates the CsvFileWriter in multi-type mode with the path of the file to create and an optional option hash

Parameters

  path | a file name (with path optionally) to write
  spec | a hash of field and type definition; see Option Field Hash for more information
  opts | AbstractCsvWriter Constructor Option Hash Overview

The file is created with O_CREAT, O_TRUNC, O_WRONLY and `0644` access.

Exceptions

  CSVFILEITER-ERROR | in the case of incorrect options